# Improving the Robustness of Microfluidic Networks
- For the corresponding paper please refer to: https://iic.jku.at/files/eda/2022_aspdac_improving_robustness_microfluidic_networks.pdf
- The actual main function for the robustness improvement process is located inside the class: "src/main/java/at/jku/iic/microfluidics/droplet/improvedrobustness/ImprovedRobustness.java". In order to conduct the robustness metric, single parameter variation method, or the simplex method just comment/uncomment the corresponding line inside the main function.
- Other microfluidic networks can be added, by using the class "src/main/java/at/jku/iic/microfluidics/droplet/improvedrobustness/testarchitectures/syntheticchip/SyntheticChip.java" as a reference/template.
- The structure of the chips and the corresponding experiments can be found inside the resource folder "src/main/resources/at/jku/iic/microfluidics/droplet/improvedrobustness/testarchitectures/syntheticchip/".